Bug 621531 - /etc/rhn/default/* should go to /usr/share
Summary: /etc/rhn/default/* should go to /usr/share
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server   
(Show other bugs)
Version: 1.1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2010-08-05 12:02 UTC by Miroslav Suchý
Modified: 2011-12-22 16:47 UTC (History)
1 user (show)

Fixed In Version: spacewalk-backend-1.6.23-1 spacewalk-java-1.6.50-1 spacewalk-web-1.6.24-1 spacewalk-branding-1.6.4-1 osad-5.10.22-1 spacewalk-proxy-1.6.3-1 spacewalk-search-1.6.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-22 16:47:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miroslav Suchý 2010-08-05 12:02:43 UTC
Description of problem:
We have configuration files in /etc/rhn/default/* and it is treated as default variable and our code assume this values there exist. No one should edit it. Rather users should edit /etc/rhn/rhn.conf which is read after those default files.
/etc/rhn/default/* definitely should not be marked as %config(noreplace) as it breaks upgrades. And it should not marked as %config too as it can confuse users, as he can think he is allowed to edit it.

We should move /etc/rhn/default/* to /usr/share, probably to /usr/share/rhn/config-defaults/

Comment 1 Jan Pazdziora 2010-11-19 16:03:23 UTC
Mass-moving to space13.

Comment 2 Miroslav Suchý 2011-04-11 07:32:08 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 3 Miroslav Suchý 2011-04-11 07:36:37 UTC
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.

Comment 4 Jan Pazdziora 2011-07-20 11:49:53 UTC
Aligning under space16.

Comment 5 Jan Pazdziora 2011-09-30 09:03:49 UTC
The /etc/rhn/default was moved to /usr/share/rhn/config-defaults in Spacewalk master, commits c1a482ead91e3a7b735d7265d244aedd7d6f3897 to 2bf3877ff0e25c5b563114cc0dc27800fdf764b4.

Comment 6 Jan Pazdziora 2011-09-30 09:51:24 UTC
I've also moved /etc/rhn/search to /usr/share/rhn/config-defaults in Spacewalk
master, commits 71b5845d7ebe6807b08fefbb63f21ad29861a419 to
de094fb3b04cbffeb3133a6e68ea036a6acf573d.

Comment 7 Milan Zázrivec 2011-12-22 16:47:38 UTC
Spacewalk 1.6 has been released.


Note You need to log in before you can comment on or make changes to this bug.